package com.tofly.custom.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.custom.entity.dto.WisdomDisplayDto;
import com.tofly.custom.entity.vo.*;
import com.tofly.scada.entity.DeviceArchiveManage;

import java.util.List;

public interface CustomDisplayService {

    List<DeviceArchiveManage> viewDeviceIndex(WisdomDisplayDto wis);



    List<ScadaIndexNewVo> getScadaIndexData(WisdomDisplayDto wis);


    Page<ScadaIndexVo> getHistoryPageData(Page page, WisdomDisplayDto dto);

}
